 <div class="card shadow mb-4">
  <div class="card-header py-3">
      <h6 class="m-0 font-weight-bold text-primary">History Table</h6>
  </div>
  <div class="card-body">
      <div class="table-responsive">
          <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
              <thead>
                  <tr>
                      <th>Id History</th>
                      <th>Total Participants</th>
                      <th>Total Item</th>
                      <th>Date</th>
                      <th>Time</th>
                      <th>Total Amount</th>
                      <th>Action</th>
                  </tr>
              </thead>
              <tbody>
                <tr *ngFor="let his of history">
                  <td>{{ his.idHistory}}</td>
                  <td>{{ his.totalParticipants}}</td>
                  <td>{{ his.totalItem }}</td>
                  <td>{{ his.dateSplitBill}}</td>
                  <td>{{ his.timeSplitBill}}</td>
                  <td>{{ his.totalAmount }}</td>
                  <td>
                    <button class="btn btn-sm btn-info" (click)="modalDetail(his)" (click)="openModal(template)">
                      <i class="fa fa-search"></i>Details</button>
                  </td>
                  <!-- <td>{{ his.idUser }}</td>
                  <td>{{ his.historyDet.idContact }}</td>
                  <td>{{ his.historyDet.amount }}</td>
                  <td>{{ his.historyDet.paymentStatus }}</td>
                  <td>{{ his.historyDet.paymentDate }}</td> -->
                  </tr>
              </tbody>
          </table>

          <ng-template #template>
            <div class="modal-header">
                <h4 class="modal-title pull-left">History Details</h4>
                <button type="button" class="btn-close close pull-right" aria-label="Close"
                    (click)="modalRef.hide()">
                    <span aria-hidden="true" class="visually-hidden">&times;</span>
                </button>
            </div>
            

                <div class="modal-body">
                  <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                    <thead>
                        <tr>
                            <th>Id History Detail</th>
                            <th>Id Contact</th>
                            <th>Amount</th>
                            <th>Payment Date</th>
                            <th>Payment Status</th>
                        </tr>
                    </thead>
                    <tbody>
                      <tr *ngFor="let his of histordet">
                        <td>{{ his.idHistoryDet}}</td>
                        <td>{{ his.idContact}}</td>
                        <td>{{ his.amount }}</td>
                        <td>{{ his.paymentDate}}</td>
                        <td>{{ his.paymentStatus}}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
          </ng-template>
      </div>
  </div>
</div>
